Bug 215788 - [Maintainer] news/nzbget: patch to fix problems with TLS handshake.
Summary: [Maintainer] news/nzbget: patch to fix problems with TLS handshake.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Torsten Zuehlsdorff
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-05 05:45 UTC by Toxic
Modified: 2017-01-11 10:02 UTC (History)
1 user (show)

See Also:
tz: merge-quarterly+


Attachments
Patch to news/nzbget (1015 bytes, patch)
2017-01-05 05:45 UTC, Toxic
no flags Details | Diff
Poudriere build log 10.3 amd64 (87.81 KB, text/plain)
2017-01-05 05:58 UTC, Toxic
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toxic 2017-01-05 05:45:47 UTC
Created attachment 178533 [details]
Patch to news/nzbget

I've gotten a series of reports of TLS handshake failures from users who installed the prebuilt nzbget package.

This appears to be a bug upstream (and may be a regression), and occurs when nzbget 17.1 is linked to GnuTLS 3.4.x and is launched as a daemon.

The attached patch changes the default configuration to use OpenSSL instead of GnuTLS.  It also corrects some path and variable name issues in the pkg-message.
Comment 1 Toxic 2017-01-05 05:58:33 UTC
Created attachment 178534 [details]
Poudriere build log 10.3 amd64
Comment 2 commit-hook freebsd_committer 2017-01-10 09:30:02 UTC
A commit references this bug:

Author: tz
Date: Tue Jan 10 09:29:32 UTC 2017
New revision: 431072
URL: https://svnweb.freebsd.org/changeset/ports/431072

Log:
  news/nzbget: Switch default option from GNUTLS to OPENSSL

  There are a series of reports of TLS handshake failures from users of the port.
  Upstream responds to this reports with "Use OpenSSL instead of GNU TLS".
  Therefore the maintainer decided to switch the default option to OPENSSL.

  PR:            215788
  Submitted by:  Toxic (maintainer)
  MFH:           2017Q1

Changes:
  head/news/nzbget/Makefile
  head/news/nzbget/files/pkg-message.in
Comment 3 commit-hook freebsd_committer 2017-01-11 10:01:01 UTC
A commit references this bug:

Author: tz
Date: Wed Jan 11 10:00:45 UTC 2017
New revision: 431168
URL: https://svnweb.freebsd.org/changeset/ports/431168

Log:
  MFH: r431072

  news/nzbget: Switch default option from GNUTLS to OPENSSL

  There are a series of reports of TLS handshake failures from users of the port.
  Upstream responds to this reports with "Use OpenSSL instead of GNU TLS".
  Therefore the maintainer decided to switch the default option to OPENSSL.

  PR:            215788
  Submitted by:  Toxic (maintainer)

  Approved by:   ports-secteam (junovitch)

Changes:
_U  branches/2017Q1/
  branches/2017Q1/news/nzbget/Makefile
  branches/2017Q1/news/nzbget/files/pkg-message.in
Comment 4 Torsten Zuehlsdorff freebsd_committer 2017-01-11 10:02:30 UTC
Now merged into quarterly branch! Everything is done, thanks for the PR! :)